Name:           seafile-client-qt5
Version:        5.1.1
Release:     1%{?dist}
Summary:     Seafile gui client on QT5 bassed

%global commit 9b19c70300a69f6272885b9b23f79f4e120da2c4
%global sourcename seafile-client

License:      GPLv3
URL:            https://github.com/haiwen/%{sourcename}
Source0:        https://github.com/haiwen/%{sourcename}/archive/%{commit}/%{sourcename}-%{commit}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  cmake >= 2.6
BuildRequires:  qt5-qtbase-devel >= 5.4.0
BuildRequires:  qt5-qttools-devel
BuildRequires:  qtwebkit-devel
BuildRequires:  sqlite-devel
BuildRequires:  jansson-devel >= 2.0
BuildRequires:  ccnet-devel >= 5.1.1
BuildRequires:  libsearpc-devel >= 3.0.7
BuildRequires:  openssl-devel >= 0.98
BuildRequires:  seafile-devel = 5.1.1
BuildRequires:  libevent-devel
BuildRequires:  libuuid-devel

Requires: qt5-qtbase >= 5.4.0
Requires:  qt5-qttools
Requires: libevent
Requires: libuuid
Requires: libsearpc >= 3.0.7 
Requires: ccnet >= 5.1.1
Requires: seafile = 5.1.1

Conflicts: seafile-client-qt

%description
Seafile is a next-generation open source cloud storage system, with
advanced support for file syncing, privacy protection and teamwork

%prep
%setup -q -n %{sourcename}-%{commit}

%build
%cmake -D CMAKE_BUILD_TYPE=Release -D USE_QT5=ON .
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%files
%doc LICENSE README.md
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/pixmaps/*

%changelog
*  Sat May 28 2016 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 5.1.1-1
- updated for seafile 5.1.1
* Wed Dec 23 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 5.0.1-1
- updated for seafile 5.0.1
* Fri Nov 27 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 5.0.0-1
- updated for seafile 5.0.0
* Sat Oct 25 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.4.2-1
- updated for seafile 4.4.2
* Mon Sep 21 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.4.0-1
- updated for seafile 4.4.0
* Sun Sep 14 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.3.4-1
- updated for seafile 4.3.4
* Sun Sep 13 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.3.3-1
- updated for seafile 4.3.3
* Wed Aug 19 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.3.2-1
- updated for seafile 4.3.2
* Wed Aug 12 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.3.1-1
- updated for seafile 4.3.1
* Fri Jul 30 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.3.0-1
- updated for seafile 4.3.0
* Mon Jul 13 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.8-1
- updated for seafile 4.2.8
* Thu Jul 09 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.7-1
- updated for seafile 4.2.7
* Thu Jun 25 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.6-1
- updated for seafile 4.2.6
* Thu Jun 11 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.4-1
- updated for seafile 4.2.4
* Wed May 27 2015 Alessandro Lucaferro <alessandro.lucaferro@gmail.com> - 4.2.2-1
- Initial package
